#!/bin/csh

rm -f ./wbps[1-9]*
foreach n (3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27)
  if ($n < 26) then
    make n=$n
  else
    make n=$n large=1
  endif
  ./wbps$n
end

echo "Searching for the worst balanced poset, testing all posets"
echo
foreach n (3 4 5 6 7 8 9 10 11)
  ./wbps$n 15 0
end

echo "Searching for the worst balanced poset, testing posets with width at most 3"
echo
foreach n (3 4 5 6 7 8 9 10 11 12)
  ./wbps$n 15 3
end

echo "Searching for the worst balanced poset, testing posets with width 2"
echo
foreach n (3 4 5 6 7 8 9 10 11 12 13 14 15 16 17)
  ./wbps$n 15 2
end

echo "Searching for the worst balanced poset, ladders with broken rungs"
echo
foreach n (3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27)
  ./wbps$n 15 1
end
